---
title: "Companies grouped by country, market, and sector."
url: "https://developer.argaam.com/apis/search-discovery-layer-api-sandbox-v1/versions/7b9c43fb-96d0-4164-9da6-4249bbd8ed0b/operations/getScreenerUniverse"
---

> Full API specification: https://developer.argaam.com/apis/search-discovery-layer-api-sandbox-v1/versions/7b9c43fb-96d0-4164-9da6-4249bbd8ed0b.md

# Companies grouped by country, market, and sector.

`GET` `/api/v1.1/screener/universe`

Operation ID: `getScreenerUniverse`

Convenience lookup that returns the **full universe** of listed companies organised under their country -> market -> sector path. Often used as the seed dataset for cross-market peer analysis. ### Example ``` GET /api/v1.1/screener/universe?countryId=1 ```

## Query parameters

- `countryId` (integer, int32, optional) - Country ID. Default: `1` (Saudi Arabia). Defaults to `1`.

## Responses

- `200` - Success

## OpenAPI definition

````yaml
openapi: 3.0.1
info:
  title: Search & Discovery Layer API
  version: v1.1
servers:
  - url: https://api-sandbox.argaam.com
    description: Argaam API Gateway (Sandbox)
paths:
  /api/v1.1/screener/universe:
    get:
      tags:
        - Screener
      parameters:
        - name: countryId
          in: query
          description: "Country ID. Default: `1` (Saudi Arabia). Defaults to `1`."
          schema:
            type: integer
            format: int32
            default: 1
          example: 1
      responses:
        "200":
          description: Success
      summary: Companies grouped by country, market, and sector.
      description: "Convenience lookup that returns the **full universe** of listed\r

        companies organised under their country -> market -> sector\r

        path. Often used as the seed dataset for cross-market peer\r

        analysis.\r

        \            \r

        ### Example\r

        ```\r

        GET /api/v1.1/screener/universe?countryId=1\r

        ```"
      operationId: getScreenerUniverse
security:
  - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
````
